Page MenuHomePhabricator

AbuseFilter: history "refine search" should include searching by filter
Closed, ResolvedPublic

Description

Author: matthew.britton

Description:
Currently [[Special:AbuseFilter/history]] can be filtered by user, but not by filter. One can use [[Special:Log/abusefilter]] and filter by the "title" of the filter edit page, but that loses the convenience of seeing what was changed.


URL: http://en.wikipedia.org/wiki/Special:AbuseFilter/history

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:18 PM
bzimport added a project: AbuseFilter.
bzimport set Reference to bz25897.
bzimport added a subscriber: Unknown Object (MLST).

aokomoriuta wrote:

You can filter by filter#, i.e. [[Special:AbuseFilter/history/194]] shows Filter#194's RecentChanges.

jayvdb added a comment.Jul 3 2011, 2:36 AM

closing as invalid as the filter page has a link to its history.

matthew.britton wrote:

Reopening. User's shouldn't be expected to find the link on a different page, or know that they can add a parameter to a URL in order to get the result they want.

There is already a "Refine search" form, currently only containing a "User" field; "Filter ID" should also be available.

"History" is essentially the recent changes page for filters. Why do you want to see recent changes of a single filter?

Change 390629 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Add form field to filter history by filter

https://gerrit.wikimedia.org/r/390629

matej_suchanek updated the task description. (Show Details)
matej_suchanek moved this task from Backlog to Management UI on the AbuseFilter board.
matej_suchanek removed a subscriber: wikibugs-l-list.

Change 390629 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add form field to filter history by filter

https://gerrit.wikimedia.org/r/390629

matej_suchanek closed this task as Resolved.Mar 6 2018, 3:35 PM
matej_suchanek removed a project: Patch-For-Review.